clang-tools 6.0.0

Namespaces | Functions
TypeTraits.cpp File Reference
`#include "TypeTraits.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for TypeTraits.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::utils
| clang::tidy::utils::type_traits

## Functions
llvm::Optional< bool > | clang::tidy::utils::type_traits::isExpensiveToCopy (QualType Type, const ASTContext &Context)
| Returns `true` if `Type` is expensive to copy. More...
bool | clang::tidy::utils::type_traits::recordIsTriviallyDefaultConstructible (const RecordDecl &RecordDecl, const ASTContext &Context)
| Returns `true` if `RecordDecl` is trivially default constructible. More...
bool | clang::tidy::utils::type_traits::isTriviallyDefaultConstructible (QualType Type, const ASTContext &Context)
| Returns `true` if `Type` is trivially default constructible. More...
bool | clang::tidy::utils::type_traits::hasNonTrivialMoveConstructor (QualType Type)
| Returns true if `Type` has a non-trivial move constructor. More...
bool | clang::tidy::utils::type_traits::hasNonTrivialMoveAssignment (QualType Type)
| Return true if `Type` has a non-trivial move assignment operator. More...